Bug 1031400 - Review Request: php-symfony-icu - Symfony Icu Component
Review Request: php-symfony-icu - Symfony Icu Component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1021749
  Show dependency treegraph
 
Reported: 2013-11-17 11:33 EST by Shawn Iwinski
Modified: 2013-12-15 15:23 EST (History)
2 users (show)

See Also:
Fixed In Version: php-symfony-icu-1.1.0-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-08 21:00:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpci.log (8.52 KB, text/plain)
2013-11-18 01:44 EST, Remi Collet
no flags Details
review.txt (8.12 KB, text/plain)
2013-11-18 01:45 EST, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2013-11-17 11:33:29 EST
Spec URL: https://raw.github.com/siwinski/rpms/fed1d3b46a98f0ded174dcd9899a2a85a0667a90/php-symfony2-icu.spec

SRPM URL: http://siwinski.fedorapeople.org/SRPMS/php-symfony2-icu-1.1.0-1.fc19.src.rpm

Description: Contains data of the ICU library.

Fedora Account System Username: siwinski


NOTE: Version 1.1.0 is required for el6 and I will update this pkg to the latest version after initial import
Comment 2 Remi Collet 2013-11-18 01:44:19 EST
Created attachment 825411 [details]
phpci.log

phpcompatinfo version 2.25.0.
Comment 3 Remi Collet 2013-11-18 01:45:04 EST
Created attachment 825412 [details]
review.txt

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1031400
Buildroot used: fedora-19-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 4 Remi Collet 2013-11-18 01:46:38 EST
[!] Package installs properly.
	Wait for dependency before import
[~]: Package is named according to the Package Naming Guidelines.
	could be php-symfony-icu, but 2 is acceptable.
[~]: Latest version is packaged.
	1.1 for EPEL-6, 1.2 for Fedora => ok.
[~]: %check is present and all tests pass.
	intl not yet available
	I would have prefer to have test disabled, but... ok
[!]: All build dependencies are listed in BuildRequires...
	=> BuildRequires: libicu >= %{libicu_min_ver}
	so you can drop the pkgconfig stuff.
[!]: Requires correct, justified where necessary.
	=> Requires: libicu >= %{libicu_min_ver}
	libicu is already pulled by php-intl, so this is only for version check


So only need to fix the libicu requirement (simpler), and wait for php-symfony2-intl approval before import.
Comment 5 Remi Collet 2013-11-18 07:12:08 EST
I think you have to drop the "Requires; php-symfony2-intl".
As this package is BuildRequired by main symfony package.

As this package is not designed to be usable directly , but only used through sympfony2/Intl, I don't think that installing it without Intl will be an issue.
Comment 6 Shawn Iwinski 2013-11-22 14:31:50 EST
- Renamed from "php-symfony2-icu" to "php-symfony-icu"
- Direct libicu dependency instead of using pkgconfig
- Added tests (only run with rpmbuild --with tests)


Spec URL: https://raw.github.com/siwinski/rpms/7191607846aacf346cb1b956607a50afba5560fa/php-symfony-icu.spec

SRPM URL: http://siwinski.fedorapeople.org/SRPMS/php-symfony-icu-1.1.0-2.fc19.src.rpm
Comment 7 Remi Collet 2013-11-23 07:17:44 EST
All blocker are fixed.

Upgrade path from php-channel-symfony2 (all packages) to php-symfony-* => OK.

===== APPROVED =====
Comment 8 Shawn Iwinski 2013-11-23 16:41:36 EST
THANKS for the review and all of the help!


New Package SCM Request
=======================
Package Name: php-symfony-icu
Short Description: Symfony Icu Component
Owners: siwinski remi
Branches: f19 f20 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-11-25 08:24:00 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-11-27 23:56:45 EST
php-symfony-icu-1.1.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-symfony-icu-1.1.0-3.el6
Comment 11 Fedora Update System 2013-11-27 23:56:57 EST
php-symfony-icu-1.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-symfony-icu-1.2.0-1.fc20
Comment 12 Fedora Update System 2013-11-27 23:57:06 EST
php-symfony-icu-1.2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-symfony-icu-1.2.0-1.fc19
Comment 13 Fedora Update System 2013-11-29 11:00:56 EST
php-symfony-icu-1.2.0-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 Fedora Update System 2013-12-08 21:00:46 EST
php-symfony-icu-1.2.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-12-13 21:55:24 EST
php-symfony-icu-1.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 16 Fedora Update System 2013-12-15 15:23:46 EST
php-symfony-icu-1.1.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.